%global debug_package %{nil}


Name:           firefox-pkcs11-loader
Version:        3.13.6
Release:    1%{?dist}
Summary:        Helper script for Firefox that sets up the browser for authentication with Estonian ID-card
License:        LGPLv2+
URL:            https://github.com/open-eid/firefox-pkcs11-loader
Source0:         %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: make
Requires:       opensc
Requires:       pcsc-lite
Requires:       pcsc-lite-ccid

Requires:       mozilla-filesystem
Provides:       firefox-esteidpkcs11loader = %{version}-%{release}

%description
This package provides a helper script for Firefox that sets up the browser for
authentication with Estonian ID-card.

%prep
%setup -q -n %{name}-%{version}
%{cmake} -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir}

%build
 cp -a *.xpi %{_vpath_builddir}/
sed -i 's/onepin-opensc-pkcs11.so/\%_prefix\/%{_lib}\/pkcs11\/onepin-opensc-pkcs11.so/' onepinopenscpkcs11.json
%cmake_build

%install
%cmake_install

%files
%doc README.md AUTHORS RELEASE-NOTES.md
%license LICENSE.LGPL
%{_datadir}/mozilla/extensions/*
%dir %{_libdir}/mozilla/pkcs11-modules/
%{_libdir}/mozilla/pkcs11-modules/onepinopenscpkcs11.json
%{_libdir}/mozilla/pkcs11-modules/idemiaawppkcs11.json

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.13.6-1
- initial build
